package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 登记信息表对象 qy_djxx
 * 
 * @author xxx
 * @date 2019-09-10
 */
public class QyDjxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    @Excel(name = "Id")
    private Long id;

    /** Bsid */
    @Excel(name = "Bsid")
    private String bsid;

    /** 是否是党建 */
    @Excel(name = "是否是党建")
    private String isdangjian;

    /** 组织机制 */
    @Excel(name = "组织机制")
    private String zzjz;

    /** 组件方式 */
    @Excel(name = "组件方式")
    private String zjfs;

    /** 建立时间 */
    @Excel(name = "建立时间")
    private String jldate;

    /** 组织状态 */
    @Excel(name = "组织状态")
    private String zzflg;

    /** sj状态 */
    @Excel(name = "书记标志")
    private String sjflg;

    /** 打印状态 */
    @Excel(name = "打印状态")
    private String dyflg;

    /** 打印人数 */
    @Excel(name = "打印人数")
    private String dyrs;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBsid(String bsid) 
    {
        this.bsid = bsid;
    }

    public String getBsid() 
    {
        return bsid;
    }
    public void setIsdangjian(String isdangjian) 
    {
        this.isdangjian = isdangjian;
    }

    public String getIsdangjian() 
    {
        return isdangjian;
    }
    public void setZzjz(String zzjz) 
    {
        this.zzjz = zzjz;
    }

    public String getZzjz() 
    {
        return zzjz;
    }
    public void setZjfs(String zjfs) 
    {
        this.zjfs = zjfs;
    }

    public String getZjfs() 
    {
        return zjfs;
    }
    public void setJldate(String jldate) 
    {
        this.jldate = jldate;
    }

    public String getJldate() 
    {
        return jldate;
    }
    public void setZzflg(String zzflg) 
    {
        this.zzflg = zzflg;
    }

    public String getZzflg() 
    {
        return zzflg;
    }
    public void setSjflg(String sjflg) 
    {
        this.sjflg = sjflg;
    }

    public String getSjflg() 
    {
        return sjflg;
    }
    public void setDyflg(String dyflg) 
    {
        this.dyflg = dyflg;
    }

    public String getDyflg() 
    {
        return dyflg;
    }
    public void setDyrs(String dyrs) 
    {
        this.dyrs = dyrs;
    }

    public String getDyrs() 
    {
        return dyrs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsid", getBsid())
            .append("isdangjian", getIsdangjian())
            .append("zzjz", getZzjz())
            .append("zjfs", getZjfs())
            .append("jldate", getJldate())
            .append("zzflg", getZzflg())
            .append("sjflg", getSjflg())
            .append("dyflg", getDyflg())
            .append("dyrs", getDyrs())
            .toString();
    }
}
